{% extends 'template/layout.twig' %}
{% block style %}
    <link rel="stylesheet" type="text/css" href="css/tuto.css">
{% endblock %}
{% block body %}
    <div id="tuto">
        <h2>WDS</h2>
        <h3 id="summary">Table des matières</h3>
        <a class="a_summary" href="#install">Installer le rôle WDS</a><br>
        <a class="a_summary" href="#config">Configurer le rôle WDS</a><br>
        <a class="a_summary" href="#wim">Les images WIM</a><br>
        <h3 class="title" id="install">Installer le rôle WDS</h3>
        <p>Rendez-vous sur le "Gestionnaire de serveur", cliquez sur "Gérer" puis sur "Ajouter des rôles et fonctionnalités".</p>
        <a class="img" href="../img/windows/wds/1.png" target="_blank"><img src="../img/windows/wds/1.png"></a>
        <p>Cliquez sur "Suivant" jusqu'à arriver à la page "Selectionner des rôles de serveurs".</p>
        <a class="img" href="../img/windows/wds/2.png" target="_blank"><img src="../img/windows/wds/2.png"></a>
        <a class="img" href="../img/windows/wds/3.png" target="_blank"><img src="../img/windows/wds/3.png"></a>
        <a class="img" href="../img/windows/wds/4.png" target="_blank"><img src="../img/windows/wds/4.png"></a>
        <p>Cliquez sur "Service de déploiement Windows".</p>
        <a class="img" href="../img/windows/wds/5.png" target="_blank"><img src="../img/windows/wds/5.png"></a>
        <p>Cliquez sur "Ajouter des fonctionnalités".</p>
        <a class="img" href="../img/windows/wds/6.png" target="_blank"><img src="../img/windows/wds/6.png"></a>
        <p>Cliquez sur "Suivant" jusqu'à arriver à la page "Confirmer les sélections d'installation".</p>
        <a class="img" href="../img/windows/wds/7.png" target="_blank"><img src="../img/windows/wds/7.png"></a>
        <a class="img" href="../img/windows/wds/8.png" target="_blank"><img src="../img/windows/wds/8.png"></a>
        <a class="img" href="../img/windows/wds/9.png" target="_blank"><img src="../img/windows/wds/9.png"></a>
        <a class="img" href="../img/windows/wds/10.png" target="_blank"><img src="../img/windows/wds/10.png"></a>
        <p>Puis cliquez sur "Installer".</p>
        <a class="img" href="../img/windows/wds/11.png" target="_blank"><img src="../img/windows/wds/11.png"></a>
        <p>Une fois l'installation terminée, cliquez sur "Fermer".</p>
        <a class="img" href="../img/windows/wds/12.png" target="_blank"><img src="../img/windows/wds/12.png"></a>
        <h3 class="title" id="config">Configurer le rôle WDS</h3>
        <p>Sur le "Gestionnaire de serveur", cliquez sur l'onglet "Outils" puis sur "Service de déploiement Windows".</p>
        <a class="img" href="../img/windows/wds/13.png" target="_blank"><img src="../img/windows/wds/13.png"></a>
        <p>Dans la fenêtre à gauche cliquez sur "Serveurs", dans la fenêtre au centre cliquez-droit sur votre serveur puis cliquez sur "Configurer le serveur".</p>
        <a class="img" href="../img/windows/wds/14.png" target="_blank"><img src="../img/windows/wds/14.png"></a>
        <p>Une nouvelle fenêtre s'ouvre. Cliquez sur "Suivant" une fois s'être assuré que toutes les conditions mentionnées sont réunis.</p>
        <a class="img" href="../img/windows/wds/15.png" target="_blank"><img src="../img/windows/wds/15.png"></a>
        <p>Dans mon cas, le serveur WDS ne fera pas partie d'un domaine Active Directory. Cochez votre choix puis cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/wds/16.png" target="_blank"><img src="../img/windows/wds/16.png"></a>
        <p>Choisissez un répertoire qui sera le dossier d'installation à distance. Attention, il est recommandé d'avoir une partition NTFS dédiée à cela.</p>
        <a class="img" href="../img/windows/wds/17.png" target="_blank"><img src="../img/windows/wds/17.png"></a>
        <a class="img" href="../img/windows/wds/18.png" target="_blank"><img src="../img/windows/wds/18.png"></a>
        <p>Cochez votre choix puis cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/wds/19.png" target="_blank"><img src="../img/windows/wds/19.png"></a>
        <p>Décochez "Ajouter les images au serveur maintenant", puis cliquez sur "Terminer".</p>
        <a class="img" href="../img/windows/wds/20.png" target="_blank"><img src="../img/windows/wds/20.png"></a>
        <h3 class="title" id="wim">Les images WIM</h3>
        <p>Le service WDS ne prend pas en charge les images d'installation ISO, mais uniquement les images WIM. Nous allons voir comment convertir une image ISO en image WIM.<br>
            Cliquez-droit votre image ISO téléchargée aupréalablement, et cliquez sur "Ouvrir avec...".</p>
        <a class="img" href="../img/windows/wds/21.png" target="_blank"><img src="../img/windows/wds/21.png"></a>
        <p>Sélectionnez "Explorateur Windows" et cliquez sur "OK".</p>
        <a class="img" href="../img/windows/wds/22.png" target="_blank"><img src="../img/windows/wds/22.png"></a>
        <p>Dans mon cas, mon image ISO contient une version x64 et une version x86 de l'image.</p>
        <a class="img" href="../img/windows/wds/23.png" target="_blank"><img src="../img/windows/wds/23.png"></a>
        <p>Double-cliquez sur "sources", et cherchez le fichier "boot.wim".</p>
        <a class="img" href="../img/windows/wds/24.png" target="_blank"><img src="../img/windows/wds/24.png"></a>
        <a class="img" href="../img/windows/wds/25.png" target="_blank"><img src="../img/windows/wds/25.png"></a>
        <p>Copiez le et collez le dans le dossier Boot\x64\Images du répertoire d'installation à distance.</p>
        <a class="img" href="../img/windows/wds/26.png" target="_blank"><img src="../img/windows/wds/26.png"></a>
        <p>Revenez dans votre ISO et cherchez le fichier "install.esd".</p>
        <a class="img" href="../img/windows/wds/27.png" target="_blank"><img src="../img/windows/wds/27.png"></a>
        <p>Copiez le et collez le sur votre bureau par exemple.</p>
        <a class="img" href="../img/windows/wds/28.png" target="_blank"><img src="../img/windows/wds/28.png"></a>
        <p>Cliquez sur le bouton Windows, tapez "Powershell" et cliquez sur "Windows PowerShell".</p>
        <a class="img" href="../img/windows/wds/29.png" target="_blank"><img src="../img/windows/wds/29.png"></a>
        <p>Une fois sur le terminal PowerShell, tapez cette commande :<br>
            <span class="cmd">dism /Get-WimInfo /WimFile:C:\Users\Administrateur\Desktop\install.esd</span><br>
            WimFile doit contenir le chemin de votre fichier install.esd</p>
        <a class="img" href="../img/windows/wds/30.png" target="_blank"><img src="../img/windows/wds/30.png"></a>
        <p>Nous voyons que mon image ISO contient plusieurs versions de Windows. Retenez l'index de celle qui vous intéresse.</p>
        <a class="img" href="../img/windows/wds/31.png" target="_blank"><img src="../img/windows/wds/31.png"></a>
        <p>Puis, tapez cette commande :<br>
            <span class="cmd">dism /export-image /SourceImageFile:C:\Users\Administrateur\Desktop\install.esd /SourceIndex:6 /DestinationImageFile:C:\RemoteInstall\Images\install.wim /Compress:max /CheckIntegrity</span><br>
            SourceImageFile doit contenir le chemin de votre fichier install.esd, SourceIndex doit contenir l'index de la version de Windows que vous avez choisi, et DestinationImageFile doit contenir le chemin de destination du futur fichier install.wim</p>
        <a class="img" href="../img/windows/wds/32.png" target="_blank"><img src="../img/windows/wds/32.png"></a>
        <a class="img" href="../img/windows/wds/33.png" target="_blank"><img src="../img/windows/wds/33.png"></a>
        <p>Une fois l'exportation terminée, retournez sur la fenêtre "Services de déploiement Windows", cliquez-droit sur "Images d'installation" et cliquez sur "Ajouter une image d'installation...".</p>
        <a class="img" href="../img/windows/wds/34.png" target="_blank"><img src="../img/windows/wds/34.png"></a>
        <p>Donnez un nom à votre groupe d'images, et cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/wds/35.png" target="_blank"><img src="../img/windows/wds/35.png"></a>
        <p>Cliquez sur "Parcourir", et sélectionnez votre nouveau fichier "install.wim".</p>
        <a class="img" href="../img/windows/wds/36.png" target="_blank"><img src="../img/windows/wds/36.png"></a>
        <a class="img" href="../img/windows/wds/37.png" target="_blank"><img src="../img/windows/wds/37.png"></a>
        <p>Cliquez sur "Suivant" jusqu'à arriver à la page "Progression de la tâche".</p>
        <a class="img" href="../img/windows/wds/38.png" target="_blank"><img src="../img/windows/wds/38.png"></a>
        <a class="img" href="../img/windows/wds/39.png" target="_blank"><img src="../img/windows/wds/39.png"></a>
        <a class="img" href="../img/windows/wds/40.png" target="_blank"><img src="../img/windows/wds/40.png"></a>
        <p>Une fois l'opération terminée, cliquez sur "Terminer".</p>
        <a class="img" href="../img/windows/wds/41.png" target="_blank"><img src="../img/windows/wds/41.png"></a>
        <p>Sur la fenêtre "Service de déploiement Windows", dans la fenêtre de gauche cliquez sur "Images de démarrage" et vérifiez que l'image de démarrage s'est bien ajoutée automatiquement.<br>
            Si ce n'est pas le cas, ajoutez-la manuellement. Il s'agit du fichier boot.wim</p>
        <a class="img" href="../img/windows/wds/42.png" target="_blank"><img src="../img/windows/wds/42.png"></a>
    </div>
{% endblock %}